package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.Migrlog;
import com.qsoft.rs.sincoar.dto.MigrlogDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MigrlogMapper {

    MigrlogMapper INSTANCE = Mappers.getMapper(MigrlogMapper.class);
    @Mapping(source = "parentLogId", target = "parentLogId.id")

    Migrlog getEntidad(MigrlogDTO migrlog);
    @Mapping(target = "parentLogId", source = "parentLogId.id")

    MigrlogDTO getDto(Migrlog migrlog);

}